//***************************************************************//
//******  L O W    P R I O R I T Y    I N T E R R U P T S  ******//
//***************************************************************//
//
//
#ifdef lo_priority_enabled
void interrupt_low()
{
  #ifdef timer0_lo_priority
    if (TMR0IF_bit)
    {
      TMR0IF_bit = 0;

      #ifdef timer0_10us
        TMR0L         = timer0_10us_TMR0L;
      #endif
      #ifdef timer0_25us
        TMR0L         = timer0_25us_TMR0L;
      #endif
      #ifdef timer0_50us
        TMR0L         = timer0_50us_TMR0L;
      #endif
      #ifdef timer0_100us
        TMR0L         = timer0_100us_TMR0L;
      #endif
      #ifdef timer0_1ms
        TMR0L         = timer0_1ms_TMR0L;
      #endif
      #ifdef timer0_10ms
        TMR0H         = timer0_10ms_TMR0H;
        TMR0L         = timer0_10ms_TMR0L;
      #endif
      #ifdef timer0_25ms
        TMR0H         = timer0_25ms_TMR0H;
        TMR0L         = timer0_25ms_TMR0L;
      #endif
      #ifdef timer0_50ms
        TMR0H         = timer0_50ms_TMR0H;
        TMR0L         = timer0_50ms_TMR0L;
      #endif
      #ifdef timer0_100ms
        TMR0H         = timer0_100ms_TMR0H;
        TMR0L         = timer0_100ms_TMR0L;
      #endif
      #ifdef timer0_500ms
        TMR0H         = timer0_500ms_TMR0H;
        TMR0L         = timer0_500ms_TMR0L;
      #endif
      #ifdef timer0_1s
        TMR0H         = timer0_1s_TMR0H;
        TMR0L         = timer0_1s_TMR0L;
      #endif
      //
      //enter code here
      //
      pt2_timer0_isr(void);
    }
  #endif //END==> #ifdef timer0_lo_priority

  #ifdef timer1_lo_priority
    if (TMR1IF_bit)
    {
      TMR1IF_bit = 0;
      #ifdef timer1_10us
        TMR1H         = timer1_10us_TMR1H;
        TMR1L         = timer1_10us_TMR1L;
      #endif

      #ifdef timer1_25us
        TMR1H         = timer1_25us_TMR1H;
        TMR1L         = timer1_25us_TMR1L;
      #endif
      #ifdef timer1_50us
        TMR1H         = timer1_50us_TMR1H;
        TMR1L         = timer1_50us_TMR1L;
      #endif
      #ifdef timer1_100us
        TMR1H         = timer1_100us_TMR1H;
        TMR1L         = timer1_100us_TMR1L;
      #endif
      #ifdef timer1_1ms
        TMR1H         = timer1_1ms_TMR1H;
        TMR1L         = timer1_1ms_TMR1L;
      #endif
      #ifdef timer1_10ms
        TMR1H         = timer1_10ms_TMR1H;
        TMR1L         = timer1_10ms_TMR1L;
      #endif
      #ifdef timer1_25ms
        TMR1H         = timer1_25ms_TMR1H;
        TMR1L         = timer1_25ms_TMR1L;
      #endif
      #ifdef timer1_50ms
        TMR1H         = timer1_50ms_TMR1H;
        TMR1L         = timer1_50ms_TMR1L;
      #endif
      #ifdef timer1_100ms
        TMR1H         = timer1_100ms_TMR1H;
        TMR1L         = timer1_100ms_TMR1L;
      #endif
      //
      //enter code here
      //
      pt2_timer1_isr(void);
    }
  #endif //END==> #ifdef timer1_lo_priority

  #ifdef timer2_lo_priority
    if (TMR2IF_bit)
    {
      TMR2IF_bit = 0;
      //
      //enter code here
      //
      pt2_timer2_isr(void);
    }
  #endif //END==> #ifdef timer2_lo_priority

  #ifdef timer3_lo_priority
    if (TMR3IF_bit)
    {
      TMR3IF_bit = 0;
      #ifdef timer3_10us
        TMR3H         = timer3_10us_TMR3H;
        TMR3L         = timer3_10us_TMR3L;
      #endif
      #ifdef timer3_25us
        TMR3H         = timer3_25us_TMR3H;
        TMR3L         = timer3_25us_TMR3L;
      #endif
      #ifdef timer3_50us
        TMR3H         = timer3_50us_TMR3H;
        TMR3L         = timer3_50us_TMR3L;
      #endif
      #ifdef timer3_100us
        TMR3H         = timer3_100us_TMR3H;
        TMR3L         = timer3_100us_TMR3L;
      #endif
      #ifdef timer3_1ms
        TMR3H         = timer3_1ms_TMR3H;
        TMR3L         = timer3_1ms_TMR3L;
      #endif
      #ifdef timer3_10ms
        TMR3H         = timer3_10ms_TMR3H;
        TMR3L         = timer3_10ms_TMR3L;
      #endif
      #ifdef timer3_25ms
        TMR3H      = timer3_25ms_TMR3H;
        TMR3L      = timer3_25ms_TMR3L;
      #endif
      #ifdef timer3_50ms
        TMR3H         = timer3_50ms_TMR3H;
        TMR3L         = timer3_50ms_TMR3L;
      #endif
      #ifdef timer3_100ms
        TMR3H         = timer3_100ms_TMR3H;
        TMR3L         = timer3_100ms_TMR3L;
      #endif
      //
      //enter code here
      //
      pt2_timer3_isr(void);
    }
  #endif //END==> #ifdef timer3_lo_priority

  #ifdef timer4_lo_priority
    if (TMR4IF_bit)
    {
      TMR4IF_bit = 0;
      //
      //enter code here
      //
      pt2_timer4_isr(void);
    }
  #endif //END==> #ifdef timer4_lo_priority

  #ifdef timer5_lo_priority
    if (TMR5IF_bit)
    {
      TMR5IF_bit = 0;
      #ifdef timer5_10us
        TMR5H         = timer5_10us_TMR5H;
        TMR5L         = timer5_10us_TMR5L;
      #endif
      #ifdef timer5_25us
        TMR5H         = timer5_25us_TMR5H;
        TMR5L         = timer5_25us_TMR5L;
      #endif
      #ifdef timer5_50us
        TMR5H         = timer5_50us_TMR5H;
        TMR5L         = timer5_50us_TMR5L;
      #endif
      #ifdef timer5_100us
        TMR5H         = timer5_100us_TMR5H;
        TMR5L         = timer5_100us_TMR5L;
      #endif
      #ifdef timer5_1ms
        TMR5H         = timer5_1ms_TMR5H;
        TMR5L         = timer5_1ms_TMR5L;
      #endif
      #ifdef timer5_10ms
        TMR5H         = timer5_10ms_TMR5H;
        TMR5L         = timer5_10ms_TMR5L;
      #endif
      #ifdef timer5_25ms
        TMR5H         = timer5_25ms_TMR5H;
        TMR5L         = timer5_25ms_TMR5L;
      #endif
      #ifdef timer5_50ms
        TMR5H         = timer5_50ms_TMR5H;
        TMR5L         = timer5_50ms_TMR5L;
      #endif
      #ifdef timer5_100ms
        TMR5H         = timer5_100ms_TMR5H;
        TMR5L         = timer5_100ms_TMR5L;
      #endif
      
      //
      //enter code here
      //
      pt2_timer5_isr(void);
    }
  #endif //END==> #ifdef timer5_lo_priority

  #ifdef timer6_lo_priority
    if (TMR6IF_bit)
    {
      TMR6IF_bit = 0;
      //
      //enter code here
      //
      pt2_timer6_isr(void);
    }
  #endif //END==> #ifdef timer6_lo_priority

}//END==> void interrupt_low()

#endif //END==? #ifdef lo_priority_enabled