/*
//>>>>>  T I M E R - 1  D E F I N E S <<<<<
*/
#ifdef timer1_25us  // - tested
//Timer1
const unsigned short timer1_25us_T1CON = 0x01;
const unsigned short timer1_25us_TMR1H = 0xFF;
const unsigned short timer1_25us_TMR1L = 0xEC;
#endif

#ifdef timer1_50us  // - tested
//Timer1
const unsigned short timer1_50us_T1CON = 0x01;
const unsigned short timer1_50us_TMR1H = 0xFF;
const unsigned short timer1_50us_TMR1L = 0xB0;
#endif

#ifdef timer1_100us // - tested
//Timer1
const unsigned short timer1_100us_T1CON = 0x01;
const unsigned short timer1_100us_TMR1H = 0xFF;
const unsigned short timer1_100us_TMR1L = 0x4E;
#endif

#ifdef timer1_1ms // - tested
//Timer1
const unsigned short timer1_1ms_T1CON = 0x01; //990uS
const unsigned short timer1_1ms_TMR1H = 0xF8;
const unsigned short timer1_1ms_TMR1L = 0x44;

#endif

#ifdef timer1_10ms // - tested
//Timer1
const unsigned short timer1_10ms_T1CON = 0x01;
const unsigned short timer1_10ms_TMR1H = 0xB1;
const unsigned short timer1_10ms_TMR1L = 0xF4;
#endif

#ifdef timer1_25ms  // - tested
//Timer1
const unsigned short timer1_25ms_T1CON = 0x01;
const unsigned short timer1_25ms_TMR1H = 0x3C;
const unsigned short timer1_25ms_TMR1L = 0xB0;
#endif

#ifdef timer1_50ms  // - tested
//Timer1
const unsigned short timer1_50ms_T1CON = 0x11;
const unsigned short timer1_50ms_TMR1H = 0x3C;
const unsigned short timer1_50ms_TMR1L = 0xB0;
#endif

#ifdef timer1_100ms  // - tested
//Timer1
const unsigned short timer1_100ms_T1CON = 0x21; //99.990mS
const unsigned short timer1_100ms_TMR1H = 0x3C;
const unsigned short timer1_100ms_TMR1L = 0xB5;
#endif

#ifdef timer1_25us
void InitTimer1()
{
  T1CON      = timer1_25us_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_25us_TMR1H;
  TMR1L      = timer1_25us_TMR1L;
  TMR1IE_bit = 1;
}
#endif

#ifdef timer1_50us
void InitTimer1()
{
  T1CON      = timer1_50us_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_50us_TMR1H;
  TMR1L      = timer1_50us_TMR1L;
  TMR1IE_bit = 1;
}
#endif

#ifdef timer1_100us
void InitTimer1()
{
  T1CON      = timer1_100us_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_100us_TMR1H;
  TMR1L      = timer1_100us_TMR1L;
  TMR1IE_bit = 1;
}
#endif

#ifdef timer1_1ms
void InitTimer1()
{
  T1CON      = timer1_1ms_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_1ms_TMR1H;
  TMR1L      = timer1_1ms_TMR1L;
  TMR1IE_bit = 1;
}
#endif

#ifdef timer1_10ms
void InitTimer1()
{
  T1CON      = timer1_10ms_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_10ms_TMR1H;
  TMR1L      = timer1_10ms_TMR1L;
  TMR1IE_bit = 1;
}
#endif

#ifdef timer1_25ms
void InitTimer1()
{
  T1CON      = timer1_25ms_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_25ms_TMR1H;
  TMR1L      = timer1_25ms_TMR1L;
  TMR1IE_bit = 1;
}
#endif

#ifdef timer1_50ms
void InitTimer1()
{
  T1CON      = timer1_50ms_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_50ms_TMR1H;
  TMR1L      = timer1_50ms_TMR1L;
  TMR1IE_bit = 1;
}
#endif

#ifdef timer1_100ms
void InitTimer1()
{
  T1CON      = timer1_100ms_T1CON;
  #ifdef timer1_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR1IP_bit  = 0;        // clear bit to enable low priorty
  #else  // timer1_hi_priority
    TMR1IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR1IF_bit = 0;
  TMR1H      = timer1_100ms_TMR1H;
  TMR1L      = timer1_100ms_TMR1L;
  TMR1IE_bit = 1;
}
#endif