/*
//>>>>>  T I M E R - 3  D E F I N E S <<<<<
*/
#ifdef timer3_10us  // = tested
//Timer3
const unsigned short timer3_10us_T3CON = 0x01;
const unsigned short timer3_10us_TMR3H = 0xFF;
const unsigned short timer3_10us_TMR3L = 0xC4;
#endif

#ifdef timer3_25us  // = tested
//Timer3
const unsigned short timer3_25us_T3CON = 0x01;
const unsigned short timer3_25us_TMR3H = 0xFF;
const unsigned short timer3_25us_TMR3L = 0x4E;
#endif

#ifdef timer3_50us  // = tested
//Timer3
const unsigned short timer3_50us_T3CON = 0x01;
const unsigned short timer3_50us_TMR3H = 0xFE;
const unsigned short timer3_50us_TMR3L = 0x86;
#endif

#ifdef timer3_100us  // = tested
//Timer3
const unsigned short timer3_100us_T3CON = 0x01;
const unsigned short timer3_100us_TMR3H = 0xFC;
const unsigned short timer3_100us_TMR3L = 0xF6;
#endif

#ifdef timer3_1ms  // - tested
//Timer3
const unsigned short timer3_1ms_T3CON = 0x01;
const unsigned short timer3_1ms_TMR3H = 0xE0;
const unsigned short timer3_1ms_TMR3L = 0xBF;
#endif

#ifdef timer3_10ms  // - tested
//Timer3
const unsigned short timer3_10ms_T3CON = 0x11;
const unsigned short timer3_10ms_TMR3H = 0x63;
const unsigned short timer3_10ms_TMR3L = 0xC0;
#endif

#ifdef timer3_25ms
//Timer3
const unsigned short timer3_25ms_T3CON = 0x21;
const unsigned short timer3_25ms_TMR3H = 0x3C;
const unsigned short timer3_25ms_TMR3L = 0xB0;
#endif

#ifdef timer3_50ms  // - tested
//Timer3
const unsigned short timer3_50ms_T3CON = 0x31;
const unsigned short timer3_50ms_TMR3H = 0x3C;
const unsigned short timer3_50ms_TMR3L = 0xB0;
#endif

#ifdef timer3_10us
void InitTimer3()
{
  T3CON      = timer3_10us_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_10us_TMR3H;
  TMR3L      = timer3_10us_TMR3L;
  TMR3IE_bit = 1;
}
#endif

#ifdef timer3_25us
void InitTimer3()
{
  T3CON      = timer3_25us_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_25us_TMR3H;
  TMR3L      = timer3_25us_TMR3L;
  TMR3IE_bit = 1;
}
#endif

#ifdef timer3_50us
void InitTimer3()
{
  T3CON      = timer3_50us_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_50us_TMR3H;
  TMR3L      = timer3_50us_TMR3L;
  TMR3IE_bit = 1;
}
#endif

#ifdef timer3_100us
void InitTimer3()
{
  T3CON      = timer3_100us_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_100us_TMR3H;
  TMR3L      = timer3_100us_TMR3L;
  TMR3IE_bit = 1;
}
#endif

#ifdef timer3_1ms
void InitTimer3()
{
  T3CON      = timer3_1ms_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_1ms_TMR3H;
  TMR3L      = timer3_1ms_TMR3L;
  TMR3IE_bit = 1;
}
#endif

#ifdef timer3_10ms
void InitTimer3()
{
  T3CON      = timer3_10ms_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_10ms_TMR3H;
  TMR3L      = timer3_10ms_TMR3L;
  TMR3IE_bit = 1;
}
#endif

#ifdef timer3_25ms
void InitTimer3()
{
  T3CON      = timer3_25ms_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_25ms_TMR3H;
  TMR3L      = timer3_25ms_TMR3L;
  TMR3IE_bit = 1;
}
#endif

#ifdef timer3_50ms
void InitTimer3()
{
  T3CON      = timer3_50ms_T3CON;
  #ifdef timer3_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR3IP_bit  = 0;        // clear bit to enable low priorty
  #else //timer3_hi_priority
    TMR3IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR3H      = timer3_50ms_TMR3H;
  TMR3L      = timer3_50ms_TMR3L;
  TMR3IE_bit = 1;
}
#endif