/*
//>>>>>  T I M E R - 2  D E F I N E S <<<<<
*/
//
// NOTE! - as meassured, isr routine call adds 10us to the interrupt cycle
//         hence the weird interrupt times
//
#ifdef timer2_25us  // -tested
//Timer2
const unsigned short timer2_25us_T2CON = 0x04;
const unsigned short timer2_25us_PR    =   49;
#endif

#ifdef timer2_50us // -tested
//Timer2
const unsigned short timer2_50us_T2CON = 0x04;
const unsigned short timer2_50us_PR    =   99;
#endif

#ifdef timer2_100us // -tested
//Timer2
const unsigned short timer2_100us_T2CON = 0x04;
const unsigned short timer2_100us_PR    =  199;
#endif

#ifdef timer2_1ms // -tested
//Timer2
const unsigned short timer2_1ms_T2CON = 0x3C;
const unsigned short timer2_1ms_PR2   =  249;
#endif

#ifdef timer2_10ms // -tested
//Timer2
const unsigned short timer2_10ms_T2CON = 0x26;
const unsigned short timer2_10ms_PR2   =  249;
#endif

#ifdef timer2_25ms  // -tested
//Timer2
const unsigned short timer2_25ms_T2CON = 0x66;
const unsigned short timer2_25ms_PR2   =  239;
#endif

#ifdef timer2_25us
void InitTimer2()
{
  T2CON      = timer2_25us_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_25us_PR;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_50us
void InitTimer2()
{
  T2CON      = timer2_50us_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_50us_PR;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_100us
void InitTimer2()
{
  T2CON      = timer2_100us_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_100us_PR;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_1ms
void InitTimer2()
{
  T2CON      = timer2_1ms_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_1ms_PR2;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_10ms
void InitTimer2()
{
  T2CON      = timer2_10ms_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_10ms_PR2;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_25ms
void InitTimer2()
{
  T2CON      = timer2_25ms_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_25ms_PR2;
  TMR2IE_bit = 1;
}
#endif