/*
//>>>>>  T I M E R - 2  D E F I N E S <<<<<
*/
//
//
#ifdef timer2_10us  // = tested
//Timer2
const unsigned short timer2_10us_T2CON = 0x04;
const unsigned short timer2_10us_PR    =   79;
#endif

#ifdef timer2_25us  // = tested
//Timer2
const unsigned short timer2_25us_T2CON = 0x04;
const unsigned short timer2_25us_PR    =  199;
#endif

#ifdef timer2_50us  // = tested
//Timer2
const unsigned short timer2_50us_T2CON = 0x0C;
const unsigned short timer2_50us_PR    =  199;
#endif

#ifdef timer2_100us // = tested
//Timer2
const unsigned short timer2_100us_T2CON = 0x1C;
const unsigned short timer2_100us_PR    =  199;
#endif

#ifdef timer2_1ms  // = tested
//Timer2
const unsigned short timer2_1ms_T2CON = 0x3D;
const unsigned short timer2_1ms_PR2   =  249;
#endif

#ifdef timer2_5ms  // = tested
//Timer2
const unsigned short timer2_5ms_T2CON = 0x4E;
const unsigned short timer2_5ms_PR2   =  249;
#endif


#ifdef timer2_10us
void InitTimer2()
{
  T2CON      = timer2_10us_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_10us_PR;
  TMR2IE_bit = 1;
}
#endif


#ifdef timer2_25us
void InitTimer2()
{
  T2CON      = timer2_25us_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_25us_PR;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_50us
void InitTimer2()
{
  T2CON      = timer2_50us_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_50us_PR;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_100us
void InitTimer2()
{
  T2CON      = timer2_100us_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_100us_PR;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_1ms
void InitTimer2()
{
  T2CON      = timer2_1ms_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_1ms_PR2;
  TMR2IE_bit = 1;
}
#endif

#ifdef timer2_5ms
void InitTimer2()
{
  T2CON      = timer2_5ms_T2CON;
  #ifdef timer2_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR2IP_bit  = 0;        // clear bit to enable low priorty
  #else  //timer2_hi_priority
    TMR2IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR2        = timer2_5ms_PR2;
  TMR2IE_bit = 1;
}
#endif