/*
//>>>>>  T I M E R - 4  D E F I N E S <<<<<
*/
#ifdef timer4_10us  // - tested
//Timer4
const unsigned short timer4_10us_T4CON = 0x04;
const unsigned short timer4_10us_PR4   =  79;
#endif

#ifdef timer4_25us // - tested
//Timer4
const unsigned short timer4_25us_T4CON = 0x04;
const unsigned short timer4_25us_PR4   =  199;
#endif

#ifdef timer4_50us // - tested
//Timer4
const unsigned short timer4_50us_T4CON = 0x0C;
const unsigned short timer4_50us_PR4   =  199;
#endif

#ifdef timer4_100us // - tested
//Timer4
const unsigned short timer4_100us_T4CON = 0x1C;
const unsigned short timer4_100us_PR4   =  199;
#endif

#ifdef timer4_1ms  // - tested
//Timer4
const unsigned short timer4_1ms_T4CON = 0x3D;
const unsigned short timer4_1ms_PR4   =  249;
#endif

#ifdef timer4_5ms  // - tested
//Timer4
const unsigned short timer4_5ms_T4CON = 0x4E;
const unsigned short timer4_5ms_PR4   =  249;
#endif

#ifdef timer4_10us
void Inittimer4()
{
  T4CON      = timer4_10us_T4CON;
  #ifdef timer4_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR4IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer4_hi_priority
    TMR4IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR4        = timer4_10us_PR4;
  TMR4IE_bit = 1;
}
#endif

#ifdef timer4_25us
void Inittimer4()
{
  T4CON      = timer4_25us_T4CON;
  #ifdef timer4_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR4IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer4_hi_priority
    TMR4IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR4        = timer4_25us_PR4;
  TMR4IE_bit = 1;
}
#endif

#ifdef timer4_50us
void Inittimer4()
{
  T4CON      = timer4_50us_T4CON;
  #ifdef timer4_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR4IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer4_hi_priority
    TMR4IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR4        = timer4_50us_PR4;
  TMR4IE_bit = 1;
}
#endif

#ifdef timer4_100us
void Inittimer4()
{
  T4CON      = timer4_100us_T4CON;
  #ifdef timer4_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR4IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer4_hi_priority
    TMR4IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR4        = timer4_100us_PR4;
  TMR4IE_bit = 1;
}
#endif

#ifdef timer4_1ms
void Inittimer4()
{
  T4CON      = timer4_1ms_T4CON;
  #ifdef timer4_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR4IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer4_hi_priority
    TMR4IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR4        = timer4_1ms_PR4;
  TMR4IE_bit = 1;
}
#endif

#ifdef timer4_5ms
void Inittimer4()
{
  T4CON      = timer4_5ms_T4CON;
  #ifdef timer4_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR4IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer4_hi_priority
    TMR4IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR4        = timer4_5ms_PR4;
  TMR4IE_bit = 1;
}
#endif