/*
//>>>>>  T I M E R - 5  D E F I N E S <<<<<
*/
#ifdef timer5_10us  // - tested
//Timer5
const unsigned short timer5_10us_T5CON = 0x01;
const unsigned short timer5_10us_TMR5H = 0xFF;
const unsigned short timer5_10us_TMR5L = 0xC5;
#endif

#ifdef timer5_25us // - tested
//Timer5
const unsigned short timer5_25us_T5CON = 0x01;
const unsigned short timer5_25us_TMR5H = 0xFF;
const unsigned short timer5_25us_TMR5L = 0x4D;
#endif

#ifdef timer5_50us  // - tested
//Timer5
const unsigned short timer5_50us_T5CON = 0x01;
const unsigned short timer5_50us_TMR5H = 0xFE;
const unsigned short timer5_50us_TMR5L = 0x87;
#endif

#ifdef timer5_100us  // - tested
//Timer5
const unsigned short timer5_100us_T5CON = 0x01;
const unsigned short timer5_100us_TMR5H = 0xFC;
const unsigned short timer5_100us_TMR5L = 0xF7;
#endif

#ifdef timer5_1ms   // - tested
//Timer5
const unsigned short timer5_1ms_T5CON = 0x01;
const unsigned short timer5_1ms_TMR5H = 0xE0;
const unsigned short timer5_1ms_TMR5L = 0xBF;
#endif

#ifdef timer5_10ms  // - tested
//Timer5
const unsigned short timer5_10ms_T5CON = 0x11;
const unsigned short timer5_10ms_TMR5H = 0x63;
const unsigned short timer5_10ms_TMR5L = 0xC2;
#endif

#ifdef timer5_25ms
//Timer5
const unsigned short timer5_25ms_T5CON = 0x21;
const unsigned short timer5_25ms_TMR5H = 0x3C;
const unsigned short timer5_25ms_TMR5L = 0xB0;
#endif

#ifdef timer5_50ms  // - tested
//Timer5
const unsigned short timer5_50ms_T5CON = 0x31;
const unsigned short timer5_50ms_TMR5H = 0x3C;
const unsigned short timer5_50ms_TMR5L = 0xB0;
#endif

#ifdef timer5_10us
void Inittimer5()
{
  T5CON      = timer5_10us_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_10us_TMR5H;
  TMR5L      = timer5_10us_TMR5L;
  TMR5IE_bit = 1;
}
#endif

#ifdef timer5_25us
void Inittimer5()
{
  T5CON      = timer5_25us_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_25us_TMR5H;
  TMR5L      = timer5_25us_TMR5L;
  TMR5IE_bit = 1;
}
#endif

#ifdef timer5_50us
void InitTimer5()
{
  T5CON      = timer5_50us_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_50us_TMR5H;
  TMR5L      = timer5_50us_TMR5L;
  TMR5IE_bit = 1;
}
#endif

#ifdef timer5_100us
void Inittimer5()
{
  T5CON      = timer5_100us_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_100uS_TMR5H;
  TMR5L      = timer5_100uS_TMR5L;
  TMR5IE_bit = 1;
}
#endif

#ifdef timer5_1ms
void Inittimer5()
{
  T5CON      = timer5_1ms_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_1ms_TMR5H;
  TMR5L      = timer5_1ms_TMR5L;
  TMR5IE_bit = 1;
}
#endif

#ifdef timer5_10ms
void Inittimer5()
{
  T5CON      = timer5_10ms_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_10ms_TMR5H;
  TMR5L      = timer5_10ms_TMR5L;
  TMR5IE_bit = 1;
}
#endif

#ifdef timer5_25ms
void Inittimer5()
{
  T5CON      = timer5_25ms_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_25ms_TMR5H;
  TMR5L      = timer5_25ms_TMR5L;
  TMR5IE_bit = 1;
}
#endif

#ifdef timer5_50ms
void Inittimer5()
{
  T5CON      = timer5_50ms_T5CON;
  #ifdef timer5_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR5IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer5_hi_priority
    TMR5IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  TMR5H      = timer5_50ms_TMR5H;
  TMR5L      = timer5_50ms_TMR5L;
  TMR5IE_bit = 1;
}
#endif