/*
//>>>>>  T I M E R - 6  D E F I N E S <<<<<
*/
#ifdef timer6_25us // - tested
//timer6
const unsigned short timer6_25us_T6CON = 0x04;
const unsigned short timer6_25us_PR6   =   49;
#endif

#ifdef timer6_50us
//timer6
const unsigned short timer6_50us_T6CON = 0x04;
const unsigned short timer6_50us_PR6   =   99;
#endif

#ifdef timer6_100us // - tested
//timer6
const unsigned short timer6_100us_T6CON = 0x04;
const unsigned short timer6_100us_PR6   =  199;
#endif

#ifdef timer6_1ms // - tested
//timer6
const unsigned short timer6_1ms_T6CON = 0x3C;
const unsigned short timer6_1ms_PR6   =  249;
#endif

#ifdef timer6_10ms // - tested
//timer6
const unsigned short timer6_10ms_T6CON = 0x26;
const unsigned short timer6_10ms_PR6   =  250;
#endif

#ifdef timer6_25ms
//timer6
const unsigned short timer6_25ms_T6CON = 0x66;
const unsigned short timer6_25ms_PR6   =  239;
#endif

#ifdef timer6_25us
void InitTimer6()
{
  T6CON      = timer6_25us_T6CON;
  #ifdef timer6_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR6IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer6_hi_priority
    TMR6IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR6        = timer6_25us_PR6;
  TMR6IE_bit = 1;
}
#endif

#ifdef timer6_50us
void InitTimer6()
{
  T6CON      = timer6_50us_T6CON;
  #ifdef timer6_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR6IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer6_hi_priority
    TMR6IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR6        = timer6_50us_PR6;
  TMR6IE_bit = 1;
}
#endif

#ifdef timer6_100us
void InitTimer6()
{
  T6CON      = timer6_100us_T6CON;
  #ifdef timer6_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR6IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer6_hi_priority
    TMR6IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR6        = timer6_100us_PR6;
  TMR6IE_bit = 1;
}
#endif
#ifdef timer6_1ms
void InitTimer6()
{
  T6CON      = timer6_1ms_T6CON;
  #ifdef timer6_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR6IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer6_hi_priority
    TMR6IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR6        = timer6_1ms_PR6;
  TMR6IE_bit = 1;
}
#endif

#ifdef timer6_10ms
void InitTimer6()
{
  T6CON      = timer6_10ms_T6CON;
  #ifdef timer6_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR6IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer6_hi_priority
    TMR6IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR6        = timer6_10ms_PR6;
  TMR6IE_bit = 1;
}
#endif
#ifdef timer6_25ms
void InitTimer6()
{
  T6CON      = timer6_25ms_T6CON;
  #ifdef timer6_lo_priority
    GIEL_bit = 1;        //globally enable low priority interrupts
    IPEN_bit    = 1;        //enable interrupt priority bit
    TMR6IP_bit  = 0;        // clear bit to enable low priorty
  #else // timer6_hi_priority
    TMR6IP_bit  = 1;        // set bit to enable hi priorty
  #endif
  PR6        = timer6_25ms_PR6;
  TMR6IE_bit = 1;
}
#endif